import { defineStore } from 'pinia'

interface MarkStoreState {
  // 前端评卷试题的分值
  curQuestionScore: number | null
}

interface MarkStoreActions {
  setCurQuestionScore: (val: number | null) => void
}
const useMarkStore = defineStore<'mark', MarkStoreState, Record<string, any>, MarkStoreActions>('mark', {
  state() {
    return {
      curQuestionScore: null,
    }
  },
  actions: {
    setCurQuestionScore(val: number | null) {
      this.curQuestionScore = val
    },
  },
})

export default useMarkStore
